QGIS Application - Bug report #13126
segfault in 2.8 branch (pre 2.8.3)
2015-07-17 12:10 AM - Sandro Santilli

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corruptsdata: Copied to github as #: 21191
Description

| got a segfault while doing nothing. It might have been on exit, in case | accidentally sent a kill message (but | don't remember having
done so).
Luckly | got a core dumped, but the backtrace isn't very useful to me, except it has to do with threads, maybe:

Reading symbols from /usr/src/qgis/build/2.8/output/bin/qgis...done.
[New LWP 26580]
[New LWP 26590]
[New LWP 26579]
[New LWP 26578]
[New LWP 26571]
[New LWP 26569]
[New LWP 26570]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Core was generated by “/usr/src/qgis/build/2.8/output/bin/qgis /home/strk/Desktop/city_data.qgs'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0 0x00007fef02a15c8e in ?7? () from /lib/x86_64-linux-gnu/libdbus-1.s0.3
Traceback (most recent call last):
File "/usr/share/gdb/auto-load/usr/lib/x86_64-linux-gnu/libstdc++.50.6.0.19-gdb.py", line 63, in <module>
from libstdcxx.v6.printers import register_libstdexx_printers
ImportError: No module named 'libstdcxx'
(gdb) bt
#0 0x00007fef02a15c8e in ?7? () from /lib/x86_64-linux-gnu/libdbus-1.s0.3
#1 0x00007fef02a0f0e2 in ?? () from /lib/x86_64-linux-gnu/libdbus-1.s0.3
#2 0x00007fef02a0f5d2 in dbus_message_unref () from /lib/x86_64-linux-gnu/libdbus-1.s0.3
#3 0x00007feeeac9b099 in QDBusArgument::~QDBusArgument() () from /usr/lib/x86_64-linux-gnu/libQtDBus.so0.4
#4 0x00007feeeac?7bce in ?7? () from /usr/lib/x86_64-linux-gnu/libQtDBus.so0.4
#5 0x00007fef15928083 in ?7? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6 0x00007feeeac66e2c in ?7? () from /usr/lib/x86_64-linux-gnu/libQtDBus.so0.4
#7 0x00007feeeac7b40f in QDBusMessage::~QDBusMessage() () from /usr/lib/x86_64-linux-gnu/libQtDBus.so0.4
#8 0x00007feeeac781b6 in ?? () from /usr/lib/x86_64-linux-gnu/libQtDBus.so0.4
#9 0x00007fef15907b46 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from
/usr/lib/x86_64-linux-gnu/libQtCore.so.4
#10 0x00007fef15931f83 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so0.4
#11 0x00007fef105bfe04 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.s0.0
#12 0x00007fef105c0048 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.s0.0
#13 0x00007fef105c00ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.s0.0
#14 0x00007fef159317be in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#15 0x00007fef159030af in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib/x86_64-linux-gnu/libQtCore.so0.4

#16 0x00007fef159033a5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib/x86_64-linux-gnu/libQtCore.so0.4

#17 0x00007fef157ffc5f in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so0.4

#18 0x00007fef1580232f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#19 0x00007fef0fbc1182 in start_thread (arg=0x7feef9d2b700) at pthread_create.c:312

#20 0x00007fef1282a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

History

#1 - 2015-07-30 03:56 PM - Giovanni Manghi
- Status changed from Open to Feedback

How | can replicate this?

#2 - 2015-10-05 03:25 AM - Jiirgen Fischer
- Resolution set to not reproducable
- Status changed from Feedback to Closed

closing for the lack of feedback.
